Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.ehealth.businessconnector.consultrn.session.impl
Class ConsultrnSessionServiceImpl

    java.lang.Object
      be.ehealth.businessconnector.consultrn.session.impl.ConsultrnSessionServiceImpl

All Implemented Interfaces:
  ConsultrnService

    public class ConsultrnSessionServiceImpl

extends Object
implements ConsultrnService

Implementation of `ConsultrnService`

Constructor Summary
`ConsultrnSessionServiceImpl(SessionValidator sessionValidator, EhealthReplyValidator replyValidator)`

Method Summary
`RegisterPersonResponse` | `registerPerson(RegisterPersonRequest request)`
`SearchBySSINReply` | `search(SearchBySSINRequest request)`
`SearchPhoneticReply` | `search(SearchPhoneticRequest request)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ConsultrnSessionServiceImpl

    public ConsultrnSessionServiceImpl(SessionValidator sessionValidator,
                                       EhealthReplyValidator replyValidator)

Method Detail

### search

    public SearchBySSINReply search(SearchBySSINRequest request)
                             throws ConsultrnIdentifyPersonException,
                                    TechnicalConnectorException

  Specified by:
    `search` in interface `ConsultrnService`
  Throws:
    `ConsultrnIdentifyPersonException`
    `TechnicalConnectorException`

### search

    public SearchPhoneticReply search(SearchPhoneticRequest request)
                               throws ConsultrnPhoneticSearchException,
                                      TechnicalConnectorException

  Specified by:
    `search` in interface `ConsultrnService`
  Throws:
    `ConsultrnPhoneticSearchException`
    `TechnicalConnectorException`

### registerPerson

    public RegisterPersonResponse registerPerson(RegisterPersonRequest request)
                                          throws ConsultrnRegisterPersonException,
                                                 TechnicalConnectorException,
                                                 ConsultrnRegisterExistingPersonException

  Specified by:
    `registerPerson` in interface `ConsultrnService`
  Throws:
    `ConsultrnRegisterPersonException`
    `TechnicalConnectorException`
    `ConsultrnRegisterExistingPersonException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSOCCUPATIONALTHERAPIST 3.20.2 API
Copyright © {inceptionYear}-2020 eHealth. All Rights Reserved.